<?php
session_start();

// Функция определения мобильного устройства
function isMobile() {
    return preg_match("/(android|avantgo|blackberry|bolt|boost|cricket|docomo|fone|hiptop|mini|mobi|palm|phone|pie|tablet|up\.browser|up\.link|webos|wos)/i", $_SERVER["HTTP_USER_AGENT"]);
}

$basePath = dirname($_SERVER['SCRIPT_NAME']);
$request = $_SERVER['REQUEST_URI'];

// Удаляем базовый путь из запроса
$request = str_replace($basePath, '', $request);

// Удаляем начальный слеш и query string
$request = trim($request, '/');
$request = strtok($request, '?');

// Обработка главной страницы
if (empty($request)) {
    if (isMobile()) {
        include 'index.html';
    } else {
        header('Location: /landing');
        exit();
    }
    exit();
}

// Обработка /landing
if ($request == 'landing') {
    include './pages/main/main.php';
    exit();
}

// Определяем маршруты
$routes = [
    'login' => './pages/login/login.php',
    'register' => './pages/register/register.php',
    'privacy' => './pages/privacy/privacy.php'
];

// Проверяем основные маршруты
if (isset($routes[$request])) {
    include $routes[$request];
    exit();
}

// Обработка маршрутов dashboard
if (strpos($request, 'dashboard') === 0) {
    $subpage = str_replace('dashboard', '', $request);
    $subpage = trim($subpage, '/');
    
    $dashboardRoutes = [
        'buy-token'    => './pages/dashboard/subpages/buy_token/buy_token.php',
        'how-to-buy'   => './pages/dashboard/subpages/how_to_buy/how_to_buy.php',
        'my-tokens'    => './pages/dashboard/subpages/my_tokens/my_tokens.php',
        'profile'      => './pages/dashboard/subpages/profile/profile.php',
        'status'       => './pages/dashboard/subpages/status/status.php',
        'transaction'  => './pages/dashboard/subpages/transaction/transaction.php',
        ''             => './pages/dashboard/dashboard.php'
    ];

    if (isset($dashboardRoutes[$subpage])) {
        include $dashboardRoutes[$subpage];
        exit();
    }
}

// Если маршрут не найден, перенаправляем на landing
header('Location: /landing');
exit();