<?php
session_start();
$bdPath = $_SERVER['DOCUMENT_ROOT'] . '/config/db.php';

require_once $bdPath;


if (!isset($_GET['order'])) {
    header('Content-Type: application/json');
    echo json_encode(['error' => 'Missing order parameter']);
    exit();
}

$order_hash = $_GET['order'];

$stmt = $conn->prepare("SELECT order_hash, amount, payment_token, tokens, bonus_tokens, total_tokens FROM orders WHERE order_hash = ?");
$stmt->execute([$order_hash]);
$order = $stmt->fetch(PDO::FETCH_ASSOC);

header('Content-Type: application/json');
if ($order) {
    $config = include($_SERVER['DOCUMENT_ROOT'] . '/config/wallets.php');
    $addresses = $config['payment_addresses'] ?? [];

    // Приводим все ключи в массиве адресов к нижнему регистру
    $addresses = array_change_key_case($addresses, CASE_LOWER);
    
    // Получаем токен и приводим его к нижнему регистру
    $payment_token = strtolower($order['payment_token'] ?? '');
    
    // Ищем адрес по токену
    $payment_address = $addresses[$payment_token] ?? $addresses['btc'];
    

    $order['address'] = $payment_address;
    echo json_encode($order);
} else {
    echo json_encode(['error' => 'Order not found']);
}
exit();
?>