<?php
session_start();
$bdPath = $_SERVER['DOCUMENT_ROOT'] . '/config/db.php';

require_once $bdPath;
header('Content-Type: application/json');


if ($_SERVER["REQUEST_METHOD"] === "POST") {
    $email = trim($_POST["email"] ?? '');
    $password = $_POST["password"] ?? '';

    if (empty($email)) {
        echo json_encode(["email_error" => "Account does not exist"]);
        exit;
    }

    if (empty($password)) {
        echo json_encode(["password_error" => "Incorrect password"]);
        exit;
    }

    try {
        $stmt = $conn->prepare("SELECT id, password FROM main WHERE email = ?");
        $stmt->execute([$email]);
        $user = $stmt->fetch();

        if (!$user) {
            echo json_encode(["email_error" => "Account does not exist"]);
            exit;
        }

        if (!password_verify($password, $user["password"])) {
            echo json_encode(["password_error" => "Incorrect password"]);
            exit;
        }

        $_SESSION['user_id'] = $user['id'];

        echo json_encode(["success" => true]);
    } catch (PDOException $e) {
        error_log("Login error: " . $e->getMessage());
        echo json_encode(["email_error" => "Database error"]);
    }
}